arc(3)

NAME
arc - Draws a circular arc. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void arc(BITMAP *bmp, int x, y, fixed ang1, ang2, int r, int color);

DESCRIPTION
Draws a circular arc with centre x, y and radius r, in an anticlockwise direction starting from the angle a1 and ending when it reaches a2. These values are specified in 16.16 fixed point format, with 256 equal to a full circle, 64 a right angle, etc. Zero is to the right of the centre point, and larger values rotate anticlockwise from there. Example:
   /* Draw a black arc from 4 to 1 o'clock. */
   arc(screen, SCREEN_W/2, SCREEN_H/2,
       itofix(-21), itofix(43), 50, makecol(0, 0, 0));

SEE ALSO
circle(3), ellipse(3), drawing_mode(3), makecol(3)